%define tiquitdir %{_datadir}/tiquit
Name: tiquit
Version:  2.5.1
Release:  1%{?dist}
Summary: A PHP5-compatible help desk incident tracking/knowledgebase system

Group: Applications/System         
License: GPLv2+        
URL: http://doc.jcomserv.net/index.php/Tiquit
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: tiquit.conf
Source2: tiquit-README.fedora
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
Requires: php, php-gd

%description
Tiquit offers email notification, parent/child tickets, and
comprehensive search and reporting functionality

%prep

%setup -q

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{tiquitdir}
cp -pr *.php *.png *.sql *.css %{buildroot}%{tiquitdir}
mkdir -p %{buildroot}%{_sysconfdir}/httpd
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
cp -pr %SOURCE1 %{buildroot}%{_sysconfdir}/httpd/conf.d
mkdir -p %{buildroot}%{_sysconfdir}/tiquit
mv %{buildroot}%{tiquitdir}/config.php %{buildroot}%{_sysconfdir}/tiquit
ln -s ../../..%{_sysconfdir}/tiquit/config.php %{buildroot}%{tiquitdir}/config.php
mkdir -p %{buildroot}%{_docdir}
cp -pr %SOURCE2 .

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG INSTALL COPYING tiquit-README.fedora
%{tiquitdir}
%dir %{_sysconfdir}/tiquit/
%config(noreplace) %{_sysconfdir}/tiquit/config.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/tiquit.conf

%changelog
* Tue Jun 24 2008 Jon Ciesla <limb@jcomserv.net> - 2.5.1-1
- New upstream, BZ 452747.

* Wed Nov 28 2007 Jon Ciesla <limb@jcomserv.net> - 2.5-1
- New upstream, fixes missing field bug.

* Fri Oct 05 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-6
- Fixed BADSOURCE.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-5
- License tag correction.

* Mon May 07 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-4
- Removed duplicate slash in symlink creation.

* Mon May 07 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-3
- Fixed README.fedora handling.

* Mon May 07 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-2
- Fixed Source0, PHP Requires.
- Added tiquit-README.fedora

* Thu Jan 16 2007 Jon Ciesla <limb@jcomserv.net> - 2.4-1
- Initial packaging.
